# Uses of Class
org.apache.sysds.runtime.data.DataTensorBlock

Packages that use DataTensorBlock
Package
Description
org.apache.sysds.runtime.data

## Uses of DataTensorBlock in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return DataTensorBlock
Modifier and Type
Method
Description
`DataTensorBlock`
DataTensorBlock.`allocateBlock()`
`DataTensorBlock`
TensorBlock.`getDataTensor()`
Methods in org.apache.sysds.runtime.data with parameters of type DataTensorBlock
Modifier and Type
Method
Description
`void`
DataTensorBlock.`copy(int[] lower, int[] upper, DataTensorBlock src)`
Copy a part of another `DataTensorBlock`
`void`
DataTensorBlock.`copy(DataTensorBlock that)`
Constructors in org.apache.sysds.runtime.data with parameters of type DataTensorBlock
Modifier
Constructor
Description
``
`DataTensorBlock(DataTensorBlock that)`
``
`TensorBlock(DataTensorBlock dataTensor)`
Wrap the given `DataTensorBlock` inside a `TensorBlock`.